clear(1)

NOM
clear – Effacer l’affichage sur l’écran du terminal

SYNOPSIS
clear [-x] [-T type_terminal]

clear -V

DESCRIPTION
clear efface l’affichage du terminal et son tampon de défilement (scrollback) s’il existe. clear récupère le type de terminal à partir de la variable d’environnement TERM, puis consulte l’entrée de base de données terminfo des capacités du terminal pour ce type pour déterminer comment réaliser ces actions.

Les capacités d’effacer l’affichage et le tampon de défilement sont appelées « clear » et « E3 » respectivement. Cette dernière est une capacité définie par l’utilisateur, appliquant un mécanisme d’extension introduit dans ncurses 5.0 (1999).

OPTIONS
clear reconnait les options suivantes.

-T type
    Production d’instructions adaptées au type de terminal. Normalement, cette option n’est pas nécessaire parce que le type de terminal est déduit de la variable d’environnement TERM. Si cette option est indiquée, clear ignore aussi les variables d’environnement LINES et COLUMNS.

-V  Indication de la version de la bibliothèque ncurses associée au programme et quitter avec un état réussite.

-x  Empêcher clear d’effacer le tampon de défilement (scrollback).

PORTABILITÉ
Ni IEEE Std 1003.1/The Open Group Base Specifications Issue 7 (POSIX.1-2008) ni X/Open Curses Issue 7 ne documentent clear.

Ce dernier documente tput, qui peut être utilisé pour remplacer cet utilitaire, soit avec un script d’indicateur soit avec un alias (tel qu’un lien symbolique), pour exécuter tput en remplacement de clear.

HISTORIQUE
Une commande clear utilisant la base de données et la bibliothèque termcap est apparue dans 2BSD (1979). Plus tard, la huitième édition d’Unix (1985) l’a incorporée.

La branche Unix commerciale d’AT&T a adapté un programme BSD différent (tset) pour fabriquer une nouvelle commande, tput, et remplacer le programme clear par un script d’interpréteur de commandes appelant « tput clear ».

        /usr/bin/tput ${1:+-T$1} clear 2> /dev/null
        exit

En 1989, lorsque Keith Bostic a révisé la commande tput de BSD pour la rendre similaire à la commande tput d’AT&T, il a aussi ajouté un script d’interpréteur de commandes, clear.

        exec tput clear

Le reste du script dans chaque cas est une notice de copyright.

En 1995, le programme clear de ncurses a commencé à adapter la commande clear originale de BSD pour utiliser terminfo. L’extension E3 est venue plus tard. En juin 1999, xterm(1) a fourni une extension à la séquence de contrôle standard pour effacer l’écran. Plutôt que n’effacer que la partie visible de l’écran en utilisant

        printf '\033[2J'

    le tampon de défilement pouvait être aussi effacé en utilisant

        printf '\033[3J'

    à la place. « XTerm Control Sequences » documente cette fonctionnalité telle que fournie par xterm. Quelques autres émulateurs de terminal l’ont adopté, tel que putty(1) en 2006. En avril 2011, un développeur de Red Hat a proposé un correctif pour le noyau Linux, modifiant son pilote de console pour faire la même chose. La documentation de cette modification, apparue dans Linux 3.0, ne mentionnait pas xterm alors que ce programme était cité dans le rapport de bogue de Red Hat (n° 683733) justifiant la fonctionnalité. Par la suite, d’autres développeurs de terminaux ont adopté cette fonctionnalité. L’étape notable suivante a été de modifier la commande clear de ncurses en 2013 pour incorporer cette extension. En 2013, la fonction E3 n’était pas utilisée par « tput clear ». Cette omission a été corrigée en 2016 en réorganisant tput pour partager sa logique avec clear et tset.

VOIR AUSSI
tput(1), xterm(1), terminfo(5)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.